package jumpstart.min.business.domain.examples.iface;

import java.util.List;

import jumpstart.min.business.domain.examples.Person;


/**
 * The <code>IExamplesServiceRemote</code> bean exposes the business methods
 * in the interface.
 * 
 * @author Geoff Callender JumpStart
 * @version $Revision: 1.29 $, $Date: 2005/08/21 13:04:12 $
 */
public interface IExamplesServiceRemote {

	// Person

	Person findPerson(Long id);

	List<Person> findPersons();

	void changePerson(Person stuff);

}
