package jumpstart.min.business.domain.security.iface;

import java.io.Serializable;
import java.util.Date;

@SuppressWarnings("serial")
public class UserSearchFields implements Serializable {

	static public final Boolean[] actives = { Boolean.TRUE, Boolean.FALSE };

	private String _loginId = "";

	private String _password = "";

	private String _salutation = "";

	private String _firstName = "";

	private String _lastName = "";

	private String _emailAddress = "";

	private Date _expiryDate = null;

	private Boolean _active = null;

	private Integer _version = null;

	public String toString() {
		StringBuffer buf = new StringBuffer();
		buf.append("UserSearchFields: [");
		buf.append("loginId=" + _loginId + ", ");
		buf.append("password=" + _password + ", ");
		buf.append("salutation=" + _salutation + ", ");
		buf.append("firstName=" + _firstName + ", ");
		buf.append("lastName=" + _lastName + ", ");
		buf.append("emailAddress=" + _emailAddress + ", ");
		buf.append("expiryDate=" + _expiryDate + ", ");
		buf.append("active=" + _active + ", ");
		buf.append("version=" + _version);
		buf.append("]");
		return buf.toString();
	}

	public Boolean getActive() {
		return _active;
	}

	public void setActive(Boolean active) {
		_active = active;
	}

	public String getLoginId() {
		return _loginId;
	}

	public void setLoginId(String loginId) {
		_loginId = loginId;
	}

	public String getPassword() {
		return _password;
	}

	public void setPassword(String password) {
		_password = password;
	}

	public String getSalutation() {
		return _salutation;
	}

	public void setSalutation(String salutation) {
		_salutation = salutation;
	}

	public String getFirstName() {
		return _firstName;
	}

	public void setFirstName(String firstName) {
		_firstName = firstName;
	}

	public String getLastName() {
		return _lastName;
	}

	public void setLastName(String lastName) {
		_lastName = lastName;
	}

	public String getEmailAddress() {
		return _emailAddress;
	}

	public void setEmailAddress(String emailAddress) {
		_emailAddress = emailAddress;
	}

	public Integer getVersion() {
		return _version;
	}

	public void setVersion(Integer version) {
		_version = version;
	}

	public Date getExpiryDate() {
		return _expiryDate;
	}

	public void setExpiryDate(Date expiryDate) {
		_expiryDate = expiryDate;
	}

}
