package jumpstart.min.web.pages.examples.tables;

import jumpstart.min.web.pages.login.LoginPage;

import org.apache.tapestry.html.BasePage;

public abstract class TableWithLinksPage2 extends BasePage {
	static public final String PAGE_NAME = "pages/examples/tables/TableWithLinksPage2";

	public abstract void setFirstName(String value);

	public void activate(String firstName) {
		setFirstName(firstName);
		getRequestCycle().activate(this);
	}

	public void doReturn() {
		TableWithLinksPage nextPage = (TableWithLinksPage) getRequestCycle().getPage(TableWithLinksPage.PAGE_NAME);
		nextPage.activate();
	}

	public void doToLogin() {
		LoginPage nextPage = (LoginPage) getRequestCycle().getPage(LoginPage.PAGE_NAME);
		nextPage.activate();
	}

}
