package jumpstart.min.web.pages.examples.validators;

import jumpstart.min.web.pages.login.LoginPage;

import org.apache.tapestry.html.BasePage;

public abstract class ValidatorsPage2 extends BasePage {
	static public final String PAGE_NAME = "pages/examples/validators/ValidatorsPage2";

	public abstract void setName(String value);

	public void activate(String firstName, String lastName) {
		setName(firstName + " " + lastName);
		getRequestCycle().activate(this);
	}

	public void doReturn() {
		ValidatorsPage nextPage = (ValidatorsPage) getRequestCycle().getPage(ValidatorsPage.PAGE_NAME);
		nextPage.activate();
	}

	public void doToLogin() {
		LoginPage nextPage = (LoginPage) getRequestCycle().getPage(LoginPage.PAGE_NAME);
		nextPage.activate();
	}

}
